Loading...
Searching...
No Matches
StrictifyFloat.h File Reference

Defines a lowering pass to make all floating-point strict for all top-level Exprs. More...

`#include <map>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Expr | Halide::Internal::strictify_float (const Expr &e)
| Replace all rounding floating point ops and floating point ops that need to handle nan and inf differently with strict float intrinsics.
Expr | Halide::Internal::unstrictify_float (const Call *op)
| Replace a strict float intrinsic with its non-strict equivalent.
bool | Halide::Internal::strictify_float (std::map< std::string, Function > &env, const Target &t)
| If the StrictFloat target feature is set, replace add, sub, mul, div, etc operations with strict float intrinsics for all Funcs in the environment.

## Detailed Description

Defines a lowering pass to make all floating-point strict for all top-level Exprs.

Definition in file StrictifyFloat.h.